# Fetch onboarding url

`GET /omni/onboarding-url`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Fetch onboarding URL generated for specific user and specific flow. Only supply a `clientId`, if a redirect to mobile feature
has been added to the flow configuration and SMS and desktop onboarding is needed. Alternatively, if only a QR code is needed,
it's recommended to supply `clientId`, `components` and `tag` parameters. The alternative will return a highly performant
app launcher screen when redirect to mobile has been ena    bled.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `components` | query | string |  | URL encode String Array of accepted string values Enum: `qr` |
| `tag` | query | string |  | Enum: `payments`, `verification` |
| `shortUrl` | query | string |  | Enum: `true`, `false` |
| `api-version` | header | string | yes |  |

## Responses

### 200

OK

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |
